Last modified: 2011-01-25 01:27:25 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 16910 - IRC notifications for CodeReview comment/status updates
IRC notifications for CodeReview comment/status updates
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
CodeReview (Other open bugs)
unspecified
All All
: Normal enhancement (vote)
: ---
Assigned To: Aaron Schulz
http://www.mediawiki.org/wiki/Special...
:
Depends on: 18481
Blocks: 16599
  Show dependency treegraph
 
Reported: 2009-01-06 23:20 UTC by Brion Vibber
Modified: 2011-01-25 01:27 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Brion Vibber 2009-01-06 23:20:02 UTC
It could be helpful for online collaboration if we could send IRC notifications to #mediawiki when a revision gets commented on or has its status changed.

Notifications could be pretty easily sent to irc.wikimedia.org using the existing RC/UDP structure I think, but we'd need to poke something else in to get one of those bots talking on freenode. (wikibugs is done on a totally different infrastructure, driven by a mailing list, and is godawful. ;)
Comment 1 Mike.lifeguard 2009-03-23 02:01:55 UTC
added bug 16599 for blocks
Comment 2 Sam Reed (reedy) 2010-06-15 11:40:56 UTC
codurrr by MzMcBride is doing this now...
Comment 3 p858snake 2010-06-15 11:55:08 UTC
Fixed. Codurr (run by MzMcBride on TS) does Comments in #mediawiki and comments+status changes in #mediawiki-codereview.
Comment 4 MZMcBride 2010-06-15 23:08:51 UTC
codurr is using the replicated Toolserver tables for this. It's a hackish implementation, and a proper IRC (or XMPP, heh) stream would be nicer.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links